VOS_CREATE(1)

NAME
vos_create - Creates a read/write volume and associated VLDB entry

SYNOPSIS
vos create -server <machine name> -partition <partition name>
    -name <volume name> [-maxquota <initial quota (KB)>]
    [-id <volume ID>] [-roid <readonly volume ID>]
    [-cell <cell name>] [-noauth] [-localauth] [-verbose]
    [-help]

vos cr -s <machine name> -p <partition name>
    -na <volume name> [-m <initial quota (KB)>]
    [-i <volume ID>] [-r <readonly volume ID>]
    [-c <cell name>] [-no] [-l] [-v] [-h]

DESCRIPTION
The vos create command creates a read/write volume with the name specified by the -name argument at the site specified by the -server and -partition arguments. In addition, the command allocates or sets the following:

•   Volume ID numbers for the read/write volume and its associated read-only and backup volumes (this command does not actually create the latter two types of volume). A volume ID number is an identification number guaranteed to be unique within a cell.

•   An access control list (ACL) associated with the volume's root directory, which takes the same name as volume's mount point when the volume is mounted with the fs mkmount command. An entry that grants all seven permissions to the members of the system:administrators group is automatically placed on the ACL. (In addition, the File Server by default always implicitly grants the "l" (lookup) and "a" (administer) permissions on every ACL to members of the system:administrators group, even when the group does not appear on an ACL; use the -implicit argument to the fileserver initialization command to alter the set of rights on a server-by-server basis if desired.)

•   The volume's space quota, set to 5000 kilobyte blocks by default. Use the -maxquota argument to specify a different quota, or use the fs setquota command to change the volume's quota after mounting the volume with the fs mkmount command.

The volume is empty when created. To access it via the Cache Manager, mount it in the file space by using the fs mkmount command.

CAUTIONS
Currently, the maximum size of a volume is 2 terabytes (2^31 bytes) and the maximum size of a /vicepX partition on a fileserver is also 2 terabytes. The fileserver will not report an error when it has access to a partition larger than 2 terabytes, but it will probably fail if the administrator attempts to use more than 2 terabytes of space. In addition, there are reports of erroneous disk usage numbers when vos partinfo or other OpenAFS disk reporting tools are used with partitions larger than 2 terabytes.

OPTIONS

-server <server name>
    Identifies the file server machine on which to create the read/write volume. Provide the machine's IP address or its host name (either fully qualified or using an unambiguous abbreviation). For details, see vos(1).

-partition <partition name>
    Identifies the partition on which to create the read/write volume, on the file server machine specified by the -server argument. Provide the partition's complete name with preceding slash (for example, "/vicepa") or use one of the three acceptable abbreviated forms. For details, see vos(1).

-name <volume name>
    Specifies a name for the read/write volume. The maximum length is 22 characters, which can include any alphanumeric or punctuation character. By convention, periods separate the fields in a name. Do not apply the ".backup" or ".readonly" extension to a read/write volume name; they are reserved for the Volume Server to add to the read/write name when creating those backup and read-only volumes respectively.

-maxquota <volume quota>
    Specifies the maximum amount of disk space the volume can use, as a number of kilobyte blocks (a value of 1024 is one megabyte). The value 0 (zero) grants an unlimited quota, but the size of the disk partition that houses the volume places an absolute limit on its size. If this argument is omitted, the default value is 5000.

-id <volume ID>
    Specifies the volume ID for the read/write volume. If this options is not specified, or the given volume ID is 0, a volume ID will be allocated for the volume automatically. The volume IDs allocated should be fine for almost all cases, so you should almost never need to specify this option.

-roid <readonly volume ID>
    Specifies the volume ID for the readonly volume corresponding to the read/write volume that is being created. The readonly volume will not be created; this merely specifies what volume ID the readonly volume will use when it is created. If a volume ID of 0 is specified here, no readonly volume ID will be assigned to the created volume immediately. A readonly volume ID can still be assigned later when vos addsite is run; if a volume does not have a readonly volume ID associated with it by the time vos release is run, a volume ID will be allocated for it.

    If this option is not specified, the default readonly volume ID is one number higher than the read-write volume ID, whether or not that ID was manually specified.

    As with the -id option, the default allocated volume IDs should be sufficient for almost all cases, so you should almost never need to specify this option.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see vos(1).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see vos(1).

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see vos(1).

-verbose
    Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
The Volume Server produces the following message to confirm that it created the volume:

   Volume <volume_ID> created on partition <partition_name> of <machine_name>

EXAMPLES
The following command creates the read/write volume "user.pat" on the /vicepf partition of the file server machine "fs4.abc.com".

   % vos create -server fs4.abc.com -partition /vicepf -name user.pat
   Volume user.pat created on partition /vicepf of fs4.abc.com

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/afs/etc/UserList file on the machine specified with the -server argument and on each database server machine. If the -localauth flag is included, the issuer must instead be logged on to a server machine as the local superuser "root".

SEE ALSO
vos(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.